
<template>
    <section class="search-container"> 
        <input type="search" @click="gotoPage"/>
    </section>
</template>
<script>
export default {
    data() {
        return {

        }
    },
    created() {
        window.__isFirstTime = function(param) {
            alert(JSON.stringify(param))
            if(param.isFirst == 'true') {
                alert(222)
                rocNative.setFirstTime({
                    projectName: 'YQY_PROJECT_SOUSUO',
                    isFirst: 'false'
                })
            }
        }
        this.isFirstTime()
    },
    methods: {
        gotoPage() {
            // this.$router.push('/search')
        },
        isFirstTime() {
            rocNative.isFirstTime({
                projectName: 'YQY_PROJECT_SOUSUO',
                __funcName: '__isFirstTime'
            })
        },

    }
}
</script>
<style lang="scss">
    .search-container {
        height: 100px;
        text-align: center;
        background-color: #333;
    }
    
</style>
